<div class="col-md-12">
    <div class="fieldsetdContainer" style="flex:2">
        <h2>{{lang.visaWorkflow}} :</h2>
        <div class="fieldsetdContent">
            <app-visa-workflow #appVisaWorkflow [adminMode]="true" [injectDatas]="injectDatasParam" [linkedToMaarchParapheur]="true"></app-visa-workflow>
            <div *ngIf="appVisaWorkflow.checkExternalSignatoryBook().length > 0" class="alert-message alert-message-danger" role="alert">
                <b>{{appVisaWorkflow.checkExternalSignatoryBook().join(', ')}}</b> {{lang.usersMissingInSignatureBook}} !       
            </div>
        </div>
    </div>
</div>
<div class="col-md-12" *ngIf="additionalsInfos.visaWorkflowError">
    <div>
        <div class="alert-message alert-message-danger mailList" role="alert">
            <p>
                {{lang.canNotMakeAction}} :
            </p>
            <ul>
                <li *ngFor="let visaError of additionalsInfos.visaWorkflowError">
                    <b>{{visaError.alt_identifier}}</b> : {{lang[visaError.reason]}}
                </li>
            </ul>
        </div>
    </div>
</div>